質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.91%

php-soap インストールできない

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,710

Clementine

score 106

$client =  new SoapClient();


上記関数を使用する為、php-soapのインストールをしようとしましたがエラーが出てしまい解決できません。

以下、ログになります。

[root@example-xxx-xxx-xxx-xxx src]# uname -a
Linux example-xxx-xxx-xxx-xxx.example.com 2.6.18-238.el5 #1 SMP Thu Jan 13 15:51:15 EST 2011 x86_64 x86_64 x86_64 GNU/Linux
[root@example-xxx-xxx-xxx-xxx src src]# yum install php-soap
Loaded plugins: fastestmirror
Determining fastest mirrors
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
 Eg. Invalid release/
removing mirrorlist with no valid mirrors: /var/cache/yum/addons/mirrorlist.txt
Error: Cannot find a valid baseurl for repo: addons
[root@example-xxx-xxx-xxx-xxx src]# php -v
PHP 5.3.3 (cli) (built: Oct 31 2014 09:52:36)
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
[root@example-xxx-xxx-xxx-xxx src]#

情報がありましたら、解決策をご教授ください。
※PHPのバージョンの変更はできません。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

+1

OSが古いため公式にリポジトリが存在しなくなっているのではないでしょうか。
こちらは参考になりませんか?

古いversionのRed hatのyumupdateを有効にする方法
http://qiita.com/kSho_save_WP/items/e93fa5264807719bf185

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/05/26 13:32

    yum updateしたら以下のエラーが表示されました。

    [root@xxx-xxx-xxx-xxx yum.repos.d]# vi local.repo
    [root@xxx-xxx-xxx-xxx yum.repos.d]# yum update
    Loaded plugins: fastestmirror
    Config Error: File contains no section headers.
    file: file://///etc/yum.repos.d/local.repo, line: 1
    'name=RHEL 5 - local repo`\n'
    [root@xxx-xxx-xxx-xxx yum.repos.d]#

    キャンセル

  • 2017/05/26 13:50

    参照サイトのシングルクォーテーションが余計みたいですね

    name=RHEL $releasever - local repo
    baseurl=http://vault.centos.org/5.7/os/$basearch/
    enabled=1
    gpgcheck=0

    こちらでいかがでしょうか。
    (5.7の部分はサーバーのバージョンに書き換えてください)

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.91%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る